"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const textProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  type: uni_modules_wotDesignUni_components_common_props.makeStringProp("default"),
  text: uni_modules_wotDesignUni_components_common_props.makeNumericProp(""),
  size: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  mode: uni_modules_wotDesignUni_components_common_props.makeStringProp("text"),
  decoration: uni_modules_wotDesignUni_components_common_props.makeStringProp("none"),
  call: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  bold: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  format: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  color: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  prefix: String,
  suffix: String,
  lines: Number,
  lineHeight: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customStyle: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customClass: uni_modules_wotDesignUni_components_common_props.makeStringProp("")
};
exports.textProps = textProps;
